Subject: Re: PATCH: [SKBUFF] introduce skb_link_header_size(skb)

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 05 Oct 2004 16:45:33 -0300

Thomas Graf wrote:
> * Arnaldo Carvalho de Melo <[email-masked]> 2004-10-05 16:14
> 
>>+static inline int skb_link_header_size(const struct sk_buff *skb)
>>+{
>>+	return skb->nh.raw - skb->mac.raw;
>>+}
> 
> 
> The patch is valid and I think it is right to do so but this may lead to
> wrong results when skb->mac.raw is set to 0x0 F.e in classifiers. Maybe
> add a comment to warn about it?

I never looked at classifiers code, suggest a comment and I'll stick it
there.

Thanks for commenting on the patch.

Regards,

- Arnaldo